Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SpritePicture Class Reference

スプライトピクチャ More...

`#include <SpritePicture.h>`

Inheritance diagram for Lamp::SpritePicture:

List of all members.

## Public Member Functions
| SpritePicture ()
| コンストラクタ
virtual | ~SpritePicture ()
| デストラクタ
virtual void | setSize (const DimensionI &size)
| サイズの設定
virtual const DimensionI & | getSize () const
| サイズの取得
virtual int | getReferenceCount () const
| 参照カウントの取得
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
virtual Direct3DTexture * | getD3DTexture ()
| D3Dテクスチャの取得.
virtual void | setD3DTexture (Direct3DTexture *d3dTexture)
| D3Dテクスチャの設定.
virtual bool | compileD3DTexture ()=0
| D3Dテクスチャのコンパイル.
virtual int | addReference ()
| 参照の追加
virtual int | removeReference ()
| 参照の削除
## Friends
class | SpriteRenderState
class | Sprite

## Detailed Description

スプライトピクチャ

Definition at line 36 of file SpritePicture.h.

## Member Function Documentation

virtual int Lamp::SpritePicture::addReference | ( |  | ) | `[inline, protected, virtual]`

| 参照の追加 Returns: 参照カウント Definition at line 136 of file SpritePicture.h. Referenced by Lamp::Sprite::setPicture().

virtual bool Lamp::SpritePicture::compileD3DTexture | ( |  | ) | `[protected, pure virtual]`

| D3Dテクスチャのコンパイル. Returns: 成功すればtrueを返す Implemented in Lamp::SpritePictureRGB8, and Lamp::SpritePictureRGBA8. Referenced by getD3DTexture().

Direct3DTexture * Lamp::SpritePicture::getD3DTexture | ( |  | ) | `[protected, virtual]`

| D3Dテクスチャの取得. Returns: D3Dテクスチャの取得 Definition at line 50 of file SpritePicture.cpp. References compileD3DTexture(), Direct3DTexture, and NULL. Referenced by Lamp::SpritePictureRGBA8::compileImage(), Lamp::SpritePictureRGB8::compileImage(), Lamp::SpritePictureRGBA8::compileMipmap(), Lamp::SpritePictureRGB8::compileMipmap(), and Lamp::SpriteRenderState::request().

virtual const DimensionI& Lamp::SpritePicture::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Definition at line 69 of file SpritePicture.h. Referenced by Lamp::SpritePictureRGBA8::compileD3DTexture(), and Lamp::SpritePictureRGB8::compileD3DTexture().

virtual bool Lamp::SpritePicture::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 86 of file SpritePicture.h.

virtual int Lamp::SpritePicture::removeReference | ( |  | ) | `[inline, protected, virtual]`

| 参照の削除 Returns: 参照カウント Definition at line 145 of file SpritePicture.h. References Assert. Referenced by Lamp::Sprite::setPicture().

virtual bool Lamp::SpritePicture::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 97 of file SpritePicture.h.

virtual void Lamp::SpritePicture::setD3DTexture | ( | Direct3DTexture * | d3dTexture | ) | `[inline, protected, virtual]`

  | D3Dテクスチャの設定. Parameters:
  d3dTexture | D3Dテクスチャ
Definition at line 118 of file SpritePicture.h. References SafeRelease. Referenced by Lamp::SpritePictureRGBA8::compileD3DTexture(), and Lamp::SpritePictureRGB8::compileD3DTexture().

virtual void Lamp::SpritePicture::setSize | ( | const DimensionI & | size | ) | `[inline, virtual]`

  | サイズの設定 Parameters:
  size | サイズ
Reimplemented in Lamp::SpritePictureRGB8, and Lamp::SpritePictureRGBA8. Definition at line 60 of file SpritePicture.h. References Assert, Lamp::DimensionI::height, and Lamp::DimensionI::width.

The documentation for this class was generated from the following files:

- SpritePicture.h
- SpritePicture.cpp